# spec file for package nodejs-nodejs-json-parse-helpfulerror

%global npm_name json-parse-helpfulerror
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:		nodejs-json-parse-helpfulerror
Version:	1.0.3
Release:	1%{?dist}
Summary:	A drop-in replacement for JSON.parse that uses `jju` to give helpful errors
Url:		https://github.com/smikes/json-parse-helpfulerror
Source0:	https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
License:	MIT

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-devel
BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	npm(code@1.2.1)
BuildRequires:	npm(jslint@0.7.1)
BuildRequires:	npm(lab@5.1.1)
%endif

BuildRequires:	npm(jju)

Requires:	npm(jju)

%description
A drop-in replacement for JSON.parse that uses `jju` to give helpful errors

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}

cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{npm_name}

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
lab -c
%endif

%files
%{nodejs_sitelib}/json-parse-helpfulerror

%doc README.md
%{!?_licensedir:%global license %%doc}
%license LICENSE

%changelog
* Tue Nov 24 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.0.3-1
- Initial build
